Index: /extensions/CryptograPHP/template/guestbook.tpl
===================================================================
--- /extensions/CryptograPHP/template/guestbook.tpl	(revision 27213)
+++ /extensions/CryptograPHP/template/guestbook.tpl	(revision 27214)
@@ -1,16 +1,14 @@
-<tr>
-  <td>
-    <label for="captcha">{if $CRYPTO.captcha_type=='string'}{'Enter code'|translate}{else}{'Solve equation'|translate}{/if}</label>
-    <input type="text" name="captcha_code" id="captcha_code" style="width:{$CRYPTO.code_length}em" maxlength="{$CRYPTO.code_length}" />
-  </td>
-  <td>
-    <img id="captcha" src="{$CRYPTO_PATH}securimage/securimage_show.php" alt="CAPTCHA Image" style="vertical-align:top;">
-    <a href="#" id="captcha_refresh" onclick="document.getElementById('captcha').src = '{$CRYPTO_PATH}securimage/securimage_show.php?'+Math.random(); return false;">
-      <img src="{$CRYPTO_PATH}template/refresh_{$CRYPTO.button_color}.png" style="vertical-align:bottom;"></a>
-  </td>
+<div class="col-50">
+  <label for="captcha">{if $CRYPTO.captcha_type=='string'}{'Enter code'|translate}{else}{'Solve equation'|translate}{/if}</label>
+  <input type="text" name="captcha_code" id="captcha_code" style="width:{$CRYPTO.code_length}em" maxlength="{$CRYPTO.code_length}">
+</div>
+<div class="col-50">
+  <img id="captcha" src="{$CRYPTO_PATH}securimage/securimage_show.php" alt="CAPTCHA Image" style="vertical-align:top;">
+  <a href="#" id="captcha_refresh" onclick="document.getElementById('captcha').src = '{$CRYPTO_PATH}securimage/securimage_show.php?'+Math.random(); return false;">
+    <img src="{$CRYPTO_PATH}template/refresh_{$CRYPTO.button_color}.png" style="vertical-align:bottom;"></a>
+</div>
 
-  {footer_script}
-  var captcha_code = new LiveValidation("captcha_code", {ldelim} onlyOnSubmit: true });
-  captcha_code.add(Validate.Presence, {ldelim} failureMessage: "{'Invalid Captcha'|translate}" });
-  {/footer_script}
-</tr>
+{footer_script}
+var captcha_code = new LiveValidation("captcha_code", {ldelim} onlyOnSubmit: true });
+captcha_code.add(Validate.Presence, {ldelim} failureMessage: "{'Invalid Captcha'|translate}" });
+{/footer_script}
Index: /extensions/EasyCaptcha/template/guestbook.tpl
===================================================================
--- /extensions/EasyCaptcha/template/guestbook.tpl	(revision 27213)
+++ /extensions/EasyCaptcha/template/guestbook.tpl	(revision 27214)
@@ -1,33 +1,30 @@
-<tr>
-  {include file=$EASYCAPTCHA_ABS_PATH|cat:'template/common.inc.tpl'}
+{include file=$EASYCAPTCHA_ABS_PATH|cat:'template/common.inc.tpl'}
 
-  {* <!-- DRAG & DROP --> *}
-  {if $EASYCAPTCHA.challenge == 'drag'}
-  <td colspan=2><label class="easycaptcha_hint">{'To verify you are a human, please place the <b>%s</b> in the most right box bellow.'|translate:$EASYCAPTCHA.drag.text}</label></td>
+{* <!-- DRAG & DROP --> *}
+{if $EASYCAPTCHA.challenge == 'drag'}
+<div class="col-100"><label class="easycaptcha_hint">{'To verify you are a human, please place the <b>%s</b> in the most right box bellow.'|translate:$EASYCAPTCHA.drag.text}</label></div>
 
-  {footer_script}
-  var captcha_code = new LiveValidation(jQuery('input[name="easycaptcha"]')[0], {ldelim} onlyOnSubmit: true });
-  captcha_code.add(Validate.Presence, {ldelim} failureMessage: "{'Pleaser answer'|translate}" });
-  {/footer_script}
+{footer_script}
+var captcha_code = new LiveValidation(jQuery('input[name="easycaptcha"]')[0], {ldelim} onlyOnSubmit: true });
+captcha_code.add(Validate.Presence, {ldelim} failureMessage: "{'Pleaser answer'|translate}" });
+{/footer_script}
 
-  {* <!-- TIC TAC TOE --> *}
-  {else if $EASYCAPTCHA.challenge == 'tictac'}
-  <td colspan=2><label class="easycaptcha_hint">{'You are player X, click on the right case to complete the line.'|translate}</label></td>
+{* <!-- TIC TAC TOE --> *}
+{else if $EASYCAPTCHA.challenge == 'tictac'}
+<div class="col-100"><label class="easycaptcha_hint">{'You are player X, click on the right case to complete the line.'|translate}</label></div>
 
-  {footer_script}
-  var captcha_code = new LiveValidation(jQuery('input[name="easycaptcha_key"]')[0], {ldelim} onlyOnSubmit: true });
-  captcha_code.add(Validate.Custom, {ldelim}
-    failureMessage: "{'Pleaser answer'|translate}",
-    against: function() {ldelim}
-        return jQuery('input[name="easycaptcha"]:checked').length != 0;
-    }
-  });
-  {/footer_script}
+{footer_script}
+var captcha_code = new LiveValidation(jQuery('input[name="easycaptcha_key"]')[0], {ldelim} onlyOnSubmit: true });
+captcha_code.add(Validate.Custom, {ldelim}
+  failureMessage: "{'Pleaser answer'|translate}",
+  against: function() {ldelim}
+      return jQuery('input[name="easycaptcha"]:checked').length != 0;
+  }
+});
+{/footer_script}
 
-  {/if}
-</tr>
-<tr>
-  <td colspan=2 style="text-align:center;">
-    {$smarty.capture.easycaptcha}
-  </td>
-</tr>
+{/if}
+
+<div class="col-100" style="text-align:center;">
+  {$smarty.capture.easycaptcha}
+</div>