Index: /extensions/Password_Policy/changelog.txt.php
===================================================================
--- /extensions/Password_Policy/changelog.txt.php	(revision 27214)
+++ /extensions/Password_Policy/changelog.txt.php	(revision 27215)
@@ -30,4 +30,12 @@
            Update nl_NL, thanks to : eijdenberg
 
+-- 2.6.1 : Update reference translation (en_UK)
+           Update fr_FR
+           Update de_DE, thanks to : duke
+           Update es_ES, thanks to : jpr928 and petaqui
+           Update ru_RU, thanks to : Konve
+           Update lv_LV, thanks to : agrisans
+           Update tr_TR, thanks to : LazBoy
+
 */
 ?>
Index: /extensions/Password_Policy/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/Password_Policy/language/en_UK/plugin.lang.php	(revision 27214)
+++ /extensions/Password_Policy/language/en_UK/plugin.lang.php	(revision 27215)
@@ -41,5 +41,5 @@
 $lang['PP_passwadmTitle_d'] = 'An administrator can create a user account with or without application of the rule of computing complexity.<br/><br/>
 Note: If the user account created wants to change password and strengthening passwords for users is active, it will be subject to the rule set.';
-$lang['PP_PwdResetTitle_d'] = 'Enabling this option will add a new feature in the Piwigo\'s user management panel (Users> Manage) that can apply to renew the password for selected users. In addition, a new column is added to show the status of passwords for each of them with the following values:<br/><br/>
+$lang['PP_PwdResetTitle_d'] = 'Enabling this option will add a new feature in the management tab to renew the password for selected users. In addition, a new column is added to show the status of passwords for each of them with the following values:<br/><br/>
 - Password to be renewed: A password renewal request has been planned.<br/>
 - Password renewed: The password has been renewed after a request.<br/>
@@ -52,5 +52,5 @@
 <b style=&quot;color: red;&quot;>Webmaster, generic and guest accounts are excluded from this function.</b><br/><br/>
 By enabling, you will be able to specify the maximum number of failed attempts allowed before locking and define a custom message to the user who has locked his account. This message is only displayed if the user succeeds in identification after locking.<br/><br/>
-To unlock the accounts, go to the user management interface for your gallery. You\'ll find a new column indicating the status of accounts symbolized by a red symbol (for locked account) and green (for unlocked account). Select one or more accounts to unlock and use the unlock button designed for this purpose.';
+To unlock the accounts, go to the management tab. You\'ll find a new column indicating the status of accounts symbolized by a red symbol (for locked account) and green (for unlocked account). Select one or more accounts to unlock and use the unlock button to apply the action.';
 $lang['PP_Max number of failed attempts'] = 'Maximum number of failed attempts: ';
 $lang['PP_Max number of failed attempts_d'] = 'The number 0 disables counting attempts.';
Index: /extensions/Password_Policy/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/Password_Policy/language/fr_FR/plugin.lang.php	(revision 27214)
+++ /extensions/Password_Policy/language/fr_FR/plugin.lang.php	(revision 27215)
@@ -41,5 +41,5 @@
 $lang['PP_passwadmTitle_d'] = 'Un administrateur peut créer un compte d\'utilisateur avec ou sans application de la règle de calcul de complexité.<br/><br/>
 A noter : Si l\'utilisateur du compte ainsi créé désire changer de mot de passe et que le renforcement des mots de passe pour les utilisateurs est actif, il sera soumis à la règle configurée.';
-$lang['PP_PwdResetTitle_d'] = 'L\'activation de cette option ajoutera une nouvelle fonction dans le panneau de gestion de utilisateurs (Utilisateurs > Gérer) de Piwigo qui permet de demander le renouvellement du mot de passe pour les utilisateurs sélectionnés. De plus, une nouvelle colonne s\'ajoutera pour présenter le statut des mots de passe pour chacun d\'eux avec les valeurs suivantes :<br/><br/>
+$lang['PP_PwdResetTitle_d'] = 'L\'activation de cette option ajoutera une nouvelle fonction dans l\'onglet "gestion" qui permet de demander le renouvellement du mot de passe pour les utilisateurs sélectionnés. De plus, une nouvelle colonne s\'ajoutera pour présenter le statut des mots de passe pour chacun d\'eux avec les valeurs suivantes :<br/><br/>
 - Mot de passe à changer : Une demande de changement de mot de passe a été programmée.<br/>
 - Mot de passe modifié : Le mot de passe a été changé suite à une demande.<br/>
@@ -52,5 +52,5 @@
 <b style=&quot;color: red;&quot;>Le compte webmaster, génériques et invités (Guest) sont exclus de cette fonction.</b><br/><br/>
 En l\'activant, vous aurez la possibilité de préciser le nombre maximum de tentatives autorisées avant verrouillage et de définir un message personnalisé d\'information à l\'utilisateur qui aura son compte verrouillé. Ce message n\'est affiché que si l\'utilisateur en question arrive à s\'identifier correctement après le verrouillage.<br/><br/>
-Pour déverrouiller les comptes, rendez-vous dans l\'interface de gestion des utilisateurs de votre galerie. Vous y trouverez une nouvelle colonne indiquant l\'état des comptes symbolisé par un pictogramme rouge (pour compte verrouillé) et vert (pour compte non verrouillé). Sélectionnez le ou les compte(s) à déverrouiller et utiliser le bouton de déverrouillage prévu à cet effet.';
+Pour déverrouiller les comptes, rendez-vous dans l\'onglet "gestion". Vous y trouverez une nouvelle colonne indiquant l\'état des comptes symbolisé par un pictogramme rouge (pour compte verrouillé) et vert (pour compte non verrouillé). Sélectionnez le ou les compte(s) à déverrouiller et utiliser le bouton de déverrouillage prévu à cet effet.';
 $lang['PP_Max number of failed attempts'] = 'Nombre maximum de tentatives : ';
 $lang['PP_Max number of failed attempts_d'] = 'Le chiffre 0 désactive le comptage des tentatives.';