Index: extensions/Password_Policy/changelog.txt.php
===================================================================
--- extensions/Password_Policy/changelog.txt.php	(revision 27215)
+++ extensions/Password_Policy/changelog.txt.php	(revision 27216)
@@ -38,4 +38,6 @@
            Update tr_TR, thanks to : LazBoy
 
+-- 2.6.2 : Fix error in fr_FR translation
+
 */
 ?>
Index: extensions/Password_Policy/language/fr_FR/plugin.lang.php
===================================================================
--- extensions/Password_Policy/language/fr_FR/plugin.lang.php	(revision 27215)
+++ extensions/Password_Policy/language/fr_FR/plugin.lang.php	(revision 27216)
@@ -36,10 +36,10 @@
 $lang['PP_passwtestTitle'] = 'Tester la complexité d\'un mot de passe';
 $lang['PP_passwtestTitle_d'] = 'Saisir le mot de passe à tester puis cliquer sur le bouton &quot;Calcul du score&quot; pour afficher le résultat.';
-$lang['PP_passwTitle_d'] = 'L\'activation de cette option rend obligatoire la saisie d\'un mot de passe  à l\'inscription, et oblige le mot de passe choisi par le visiteur à répondre à un niveau minimum de complexité. Si ce seuil n\'est pas atteint, le score réalisé et le score minimum à atteindre sont affichés, ainsi que des recommandations pour augmenter la valeur de ce score.<br/><br/>
+$lang['PP_passwTitle_d'] = 'L\'activation de cette option rend obligatoire la saisie d\'un mot de passe à l\'inscription, et oblige le mot de passe choisi par le visiteur à répondre à un niveau minimum de complexité. Si ce seuil n\'est pas atteint, le score réalisé et le score minimum à atteindre sont affichés, ainsi que des recommandations pour augmenter la valeur de ce score.<br/><br/>
 Un champ de test permet de mesurer la complexité d\'un mot de passe, et peut permettre de se faire une idée du score à définir pour une complexité personnalisée.<br/><br/>
 NB: Le score d\'un mot de passe est calculé en fonction de plusieurs paramètres : longueur, types de caractères utilisés (lettres, chiffres, majuscules, minuscules, caractères spéciaux). Un score inférieur à 100 est considéré comme faible; de 100 à 500, la complexité est dans la moyenne; au-delà de 500, la sécurité est excellente.';
 $lang['PP_passwadmTitle_d'] = 'Un administrateur peut créer un compte d\'utilisateur avec ou sans application de la règle de calcul de complexité.<br/><br/>
 A noter : Si l\'utilisateur du compte ainsi créé désire changer de mot de passe et que le renforcement des mots de passe pour les utilisateurs est actif, il sera soumis à la règle configurée.';
-$lang['PP_PwdResetTitle_d'] = 'L\'activation de cette option ajoutera une nouvelle fonction dans l\'onglet "gestion" qui permet de demander le renouvellement du mot de passe pour les utilisateurs sélectionnés. De plus, une nouvelle colonne s\'ajoutera pour présenter le statut des mots de passe pour chacun d\'eux avec les valeurs suivantes :<br/><br/>
+$lang['PP_PwdResetTitle_d'] = 'L\'activation de cette option ajoutera une nouvelle fonction dans l\'onglet &quot;gestion&quot; qui permet de demander le renouvellement du mot de passe pour les utilisateurs sélectionnés. De plus, une nouvelle colonne s\'ajoutera pour présenter le statut des mots de passe pour chacun d\'eux avec les valeurs suivantes :<br/><br/>
 - Mot de passe à changer : Une demande de changement de mot de passe a été programmée.<br/>
 - Mot de passe modifié : Le mot de passe a été changé suite à une demande.<br/>
@@ -52,5 +52,5 @@
 <b style=&quot;color: red;&quot;>Le compte webmaster, génériques et invités (Guest) sont exclus de cette fonction.</b><br/><br/>
 En l\'activant, vous aurez la possibilité de préciser le nombre maximum de tentatives autorisées avant verrouillage et de définir un message personnalisé d\'information à l\'utilisateur qui aura son compte verrouillé. Ce message n\'est affiché que si l\'utilisateur en question arrive à s\'identifier correctement après le verrouillage.<br/><br/>
-Pour déverrouiller les comptes, rendez-vous dans l\'onglet "gestion". Vous y trouverez une nouvelle colonne indiquant l\'état des comptes symbolisé par un pictogramme rouge (pour compte verrouillé) et vert (pour compte non verrouillé). Sélectionnez le ou les compte(s) à déverrouiller et utiliser le bouton de déverrouillage prévu à cet effet.';
+Pour déverrouiller les comptes, rendez-vous dans l\'onglet &quot;gestion&quot;. Vous y trouverez une nouvelle colonne indiquant l\'état des comptes symbolisé par un pictogramme rouge (pour compte verrouillé) et vert (pour compte non verrouillé). Sélectionnez le ou les compte(s) à déverrouiller et utiliser le bouton de déverrouillage prévu à cet effet.';
 $lang['PP_Max number of failed attempts'] = 'Nombre maximum de tentatives : ';
 $lang['PP_Max number of failed attempts_d'] = 'Le chiffre 0 désactive le comptage des tentatives.';