Index: extensions/Ldap_Login/language/pt_PT/index.php
===================================================================
--- extensions/Ldap_Login/language/pt_PT/index.php	(revision 27226)
+++ extensions/Ldap_Login/language/pt_PT/index.php	(revision 27226)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/Ldap_Login/language/pt_PT/plugin.lang.php
===================================================================
--- extensions/Ldap_Login/language/pt_PT/plugin.lang.php	(revision 27226)
+++ extensions/Ldap_Login/language/pt_PT/plugin.lang.php	(revision 27226)
@@ -0,0 +1,50 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Save'] = 'Salvar';
+$lang['Secure connexion'] = 'Ligação segura (Idaps)';
+$lang['Test Settings'] = 'Definições Teste';
+$lang['Username'] = 'Nome de utilizador LDAP';
+$lang['Warning: LDAP Extension missing.'] = 'Atenção: Esquecida a Extensão LDAP';
+$lang['You must save the settings with the Save button just up there before testing here.'] = 'Antes de efetuar o teste, é preciso salvar as definições clicando no botão SALVAR acima.';
+$lang['Your password'] = 'Senha LDAP';
+$lang['All LDAP users can use their ldap password everywhere on piwigo if needed.'] = 'Todos os utilizadores LDAP podem usar a sua senha LDAP em qualquer parte do Piwigo se necessário';
+$lang['Attribute corresponding to the user name'] = 'Atributo correspondente ao nome de utilizador';
+$lang['Base DN'] = 'Base DN onde podem ser encontrados os utilizadores LDAP (por exemplo: ou=utilizadores,dc=exemplo,dc=com):';
+$lang['Bind DN, field in full ldap style'] = 'Vincular DN no estilo LDAP (por exemplo:cu=utilizadores,dc=exemplo, dc=com):';
+$lang['Bind password'] = 'Vincular senha';
+$lang['Do you allow new piwigo users to be created when users authenticate succesfully on the ldap ?'] = 'poderão ser criados novos utilizadores Piwigo quando os utilizadores se autenticarem com sucesso via LDAP?';
+$lang['Do you want admins to be advertised by mail in case of new users creation upon ldap login ?'] = 'Deseja que os administradores sejam notificados por email, em caso de utilizadores criados após entrada LDAP?';
+$lang['Do you want to send mail to the new users, like casual piwigo users receive ?'] = 'Os novos utilizadores deverão receber mail similar aos urtilizadores casuais piwigo?';
+$lang['If empty, localhost and standard protocol ports will be used in configuration.'] = 'Se vazio, localhost e portas standard serão usadas na configuração';
+$lang['If empty, standard protocol ports will be used by the software.'] = 'Se vazio, localhost e portas standard serão usadas pelo software';
+$lang['Ldap attributes'] = 'Atributos LDAP';
+$lang['Ldap connection credentials'] = 'Credenciais de ligação LDAP';
+$lang['Ldap filter :'] = 'Filtro LDAP';
+$lang['Ldap port'] = 'Porta LDAP';
+$lang['Ldap server host'] = 'Servidor de alojamento LDAP';
+$lang['Ldap server host connection'] = 'Servidor ligação LDAP';
+$lang['Ldap_Login Plugin'] = 'Extensão de Entrada_Ldap ';
+$lang['Ldap_Login Test'] = 'Teste de Entrada_Ldap';
+$lang['Ldap_Login configuration'] = 'Configuração de Entrada_Ldap';
+$lang['Let the fields blank if the ldap accept anonymous connections.'] = 'Deixar os campos vazios se LDAP aceitar ligações anónimas';
+?>