Index: extensions/AddInfousers/initprofileadmin.php
===================================================================
--- extensions/AddInfousers/initprofileadmin.php	(revision 25782)
+++ extensions/AddInfousers/initprofileadmin.php	(revision 27289)
@@ -1,75 +1,83 @@
 <?php
-
-//Aaded admin menu
+//admin menu
 add_event_handler('get_admin_plugin_menu_links', 'addinfousers_admin_menu');
 
 function addinfousers_admin_menu($menu)
-	{
-  array_push($menu, array(
-	'NAME' => 'Add Info Users',
-    'URL' => get_admin_plugin_menu_link(ADDINFOUSERS_PATH . 'admin/admin.php')));
-  return $menu;
-	}
-
+ {
+ array_push($menu, array(
+ 'NAME' => 'Add Info Users',
+ 'URL' => get_admin_plugin_menu_link(ADDINFOUSERS_PATH . 'admin/admin.php')));
+ return $menu;
+ }
 
 //add prefiter
+add_event_handler('loc_begin_admin', 'adddinfousersPIL', 55 );
+function adddinfousersPIL()
+{
+ global $template, $prefixeTable, $conf, $page ;
+ $template->set_prefilter('user_list', 'adddinfousersPTL');
+}
+
+function adddinfousersPTL($content, &$smarty)
+{
+ load_language('plugin.lang', ADDINFOUSERS_PATH);
+ load_language('lang', PHPWG_ROOT_PATH.'local/', array('no_fallback'=>true, 'local'=>true) );
+ $search = '<div class="userPropertiesSetTitle">{\'Properties\'|translate}</div>';
+ return str_replace($search, $search."\n".'<a target="_blank" href="admin.php?page=profile&amp;user_id=<%- user.id %>" class="icon-pencil">{\'addinfousers_complete\'|@translate}</a>'."\n", $content);
+}
+
 add_event_handler('loc_begin_admin', 'adddinfousersPI', 55 );
+function adddinfousersPI()
+{
+ load_language('plugin.lang', ADDINFOUSERS_PATH);
+ load_language('lang', PHPWG_ROOT_PATH.'local/', array('no_fallback'=>true, 'local'=>true) );
+ global $template, $prefixeTable;
+ $template->set_prefilter('profile_content', 'adddinfousersPT');
+ $template->set_filename('profile_add', realpath(ADDINFOUSERS_PATH.'profile_add.tpl'));
 
-function adddinfousersPI()
- {
-	load_language('plugin.lang', ADDINFOUSERS_PATH);
-	load_language('lang', PHPWG_ROOT_PATH.'local/', array('no_fallback'=>true, 'local'=>true) );
- 
-		global $template, $prefixeTable;
-	$template->set_prefilter('profile_content', 'adddinfousersPT');
-	$template->set_filename('profile_add', realpath(ADDINFOUSERS_PATH.'profile_add.tpl'));
-	
- if (isset($_GET['user_id']))
-	{
-	$query = '
-	 select id,info1,info2,info3,info4,info5,info6,info7
-	 FROM ' . ADDINFOUSERS_TABLE . '
-	 WHERE id = '.$_GET['user_id'].'
-	 ;';
-	$result = pwg_query($query);
-	$row = pwg_db_fetch_assoc($result);
-	$idaddinfo=$row['id'];
-	$info1=$row['info1'];
-	$info2=$row['info2'];
-	$info3=$row['info3'];
-	$info4=$row['info4'];
-	$info5=$row['info5'];
-	$info6=$row['info6'];
-	$info7=$row['info7'];
+if (isset($_GET['user_id']))
+{
+ $query = '
+  select id,info1,info2,info3,info4,info5,info6,info7
+  FROM ' . ADDINFOUSERS_TABLE . '
+  WHERE id = '.$_GET['user_id'].'
+  ;';
+  $result = pwg_query($query);
+  $row = pwg_db_fetch_assoc($result);
+  $idaddinfo=$row['id'];
+  $info1=$row['info1'];
+  $info2=$row['info2'];
+  $info3=$row['info3'];
+  $info4=$row['info4'];
+  $info5=$row['info5'];
+  $info6=$row['info6'];
+  $info7=$row['info7'];
 
-	$template->assign(
-		array(
-		 'AICONTENTID' => $_GET['user_id'],
-		 'AICONTENT' => htmlspecialchars($info1),
-		 'AICONTENT2' => htmlspecialchars($info2),
-		 'AICONTENT3' => htmlspecialchars($info3),
-		 'AICONTENT4' => htmlspecialchars($info4),
-		 'AICONTENT5' => htmlspecialchars($info5),
-		 'AICONTENT6' => htmlspecialchars($info6),
-		 'AICONTENT7' => htmlspecialchars($info7),
-		));
-	}	
-		$template->assign_var_from_handle('PROFILE_ADD', 'profile_add');
- }
+ $template->assign(
+  array(
+  'AICONTENTID' => $_GET['user_id'],
+  'AICONTENT' => htmlspecialchars($info1),
+  'AICONTENT2' => htmlspecialchars($info2),
+  'AICONTENT3' => htmlspecialchars($info3),
+  'AICONTENT4' => htmlspecialchars($info4),
+  'AICONTENT5' => htmlspecialchars($info5),
+  'AICONTENT6' => htmlspecialchars($info6),
+  'AICONTENT7' => htmlspecialchars($info7),
+	));
+}	
+ $template->assign_var_from_handle('PROFILE_ADD', 'profile_add');
+}
 
 function adddinfousersPT($content, &$smarty)
- {
+{
   $search = '<p class="bottomButtons">';
   return str_replace($search, '{$PROFILE_ADD}'."\n".$search, $content);
- }
- 
+}
  
 function adddinfousersPI2()
- {
+{
  load_language('plugin.lang', ADDINFOUSERS_PATH);
  load_language('lang', PHPWG_ROOT_PATH.'local/', array('no_fallback'=>true, 'local'=>true) );
-
-
- }
+}
  
 add_event_handler('save_profile_from_post', 'addInfousersPT2');
@@ -77,16 +85,14 @@
 function addInfousersPT2()
 {
-global $prefixeTable,$conf;
-
-	$query = '
-DELETE 
-  FROM ' . ADDINFOUSERS_TABLE . '
-  WHERE id = '.$_POST['inserID'].'
-  ;';
-$result = pwg_query($query);
-
-	$q = '
-INSERT INTO ' . $prefixeTable . 'AddInfo_users(id,info1,info2,info3,info4,info5,info6,info7)VALUES ("'.$_POST['inserID'].'","'.$_POST['inser'].'","'.$_POST['inser2'].'","'.$_POST['inser3'].'","'.$_POST['inser4'].'","'.$_POST['inser5'].'","'.$_POST['inser6'].'","'.$_POST['inser7'].'");';
-    pwg_query($q);
+ global $prefixeTable,$conf;
+ $query = '
+ DELETE 
+ FROM ' . ADDINFOUSERS_TABLE . '
+ WHERE id = '.$_POST['inserID'].'
+ ;';
+ $result = pwg_query($query);
+ $q = '
+ INSERT INTO ' . $prefixeTable . 'AddInfo_users(id,info1,info2,info3,info4,info5,info6,info7)VALUES ("'.$_POST['inserID'].'","'.$_POST['inser'].'","'.$_POST['inser2'].'","'.$_POST['inser3'].'","'.$_POST['inser4'].'","'.$_POST['inser5'].'","'.$_POST['inser6'].'","'.$_POST['inser7'].'");';
+ pwg_query($q);
 }
 
@@ -96,12 +102,10 @@
 {
 global $prefixeTable;
-
 	$query = '
-DELETE 
-  FROM ' . ADDINFOUSERS_TABLE . '
-  WHERE id = '.$user_id.'
-  ;';
-$result = pwg_query($query);
+ DELETE 
+ FROM ' . ADDINFOUSERS_TABLE . '
+ WHERE id = '.$user_id.'
+ ;';
+ $result = pwg_query($query);
 }
-
 ?>
Index: extensions/AddInfousers/main.inc.php
===================================================================
--- extensions/AddInfousers/main.inc.php	(revision 25782)
+++ extensions/AddInfousers/main.inc.php	(revision 27289)
@@ -17,21 +17,18 @@
 define('ADDINFOUSERS_TABLE' , $prefixeTable . 'AddInfo_users');
 
-  //plugin on register
+ //plugin on register
 if (script_basename() == 'register')
 {  
-  include_once(dirname(__FILE__).'/initregister.php');
+ include_once(dirname(__FILE__).'/initregister.php');
 }
-
- // Plugin on profile page
+// Plugin on profile page
 if (script_basename() == 'profile')  
 {  
-  include_once(dirname(__FILE__).'/initprofile.php');
+ include_once(dirname(__FILE__).'/initprofile.php');
 }
-
-  // Plugin for admin
+// Plugin for admin
 if (script_basename() == 'admin')   
 {
-  include_once(dirname(__FILE__).'/initprofileadmin.php');
+ include_once(dirname(__FILE__).'/initprofileadmin.php');
 }
-
 ?>
Index: extensions/AddInfousers/profile_add.tpl
===================================================================
--- extensions/AddInfousers/profile_add.tpl	(revision 25782)
+++ extensions/AddInfousers/profile_add.tpl	(revision 27289)
@@ -1,33 +1,34 @@
-	<fieldset>
-		<legend>{'addinfousers_complete'|@translate}</legend>
-		<input type="hidden" name="inserID" value="{$AICONTENTID}">
-			<ul>
-				<li id="addinfouser_1">
-				        <span class="property"> {'addinfousers_info1'|@translate}&nbsp;:&nbsp;</span>
-					<input type="text" name="inser" value="{$AICONTENT}" size="80" maxlength="250">
-				</li>
-				<li id="addinfouser_2">
-					<span class="property"> {'addinfousers_info2'|@translate}&nbsp;:&nbsp;</span>
-					<input type="text" name="inser2" value="{$AICONTENT2}" size="80" maxlength="250">
-				</li>
-				<li id="addinfouser_3">
-					<span class="property">{'addinfousers_info3'|@translate}&nbsp;:&nbsp;</span>
-					<input type="text" name="inser3" value="{$AICONTENT3}" size="80" maxlength="250">
-				</li>
-				<li id="addinfouser_4">
-					<span class="property">{'addinfousers_info4'|@translate}&nbsp;:&nbsp;</span>
-					<input type="text" name="inser4" value="{$AICONTENT4}" size="80" maxlength="250">
-				</li>
-				<li id="addinfouser_5">
-					<span class="property">{'addinfousers_info5'|@translate}&nbsp;:&nbsp;</span>
-					<input type="text" name="inser5" value="{$AICONTENT5}" size="80" maxlength="250">
-				</li>
-				<li id="addinfouser_6">
-					<span class="property">{'addinfousers_info6'|@translate}&nbsp;:&nbsp;</span>
-					<input type="text" name="inser6" value="{$AICONTENT6}" size="80" maxlength="250">
-				</li>
-				<li id="addinfouser_7">
-					<span class="property">{'addinfousers_info7'|@translate}&nbsp;:&nbsp;</span>
-					<input type="text" name="inser7" value="{$AICONTENT7}" size="80" maxlength="250">
-				</li>
-	</fieldset>
+<fieldset>
+ <legend>{'addinfousers_complete'|@translate}</legend>
+  <input type="hidden" name="inserID" value="{$AICONTENTID}">
+   <ul>
+    <li id="addinfouser_1">
+     <span class="property"> {'addinfousers_info1'|@translate}&nbsp;:&nbsp;</span>
+     <input type="text" name="inser" value="{$AICONTENT}" size="80" maxlength="250">
+    </li>
+    <li id="addinfouser_2">
+     <span class="property"> {'addinfousers_info2'|@translate}&nbsp;:&nbsp;</span>
+     <input type="text" name="inser2" value="{$AICONTENT2}" size="80" maxlength="250">
+    </li>
+    <li id="addinfouser_3">
+     <span class="property">{'addinfousers_info3'|@translate}&nbsp;:&nbsp;</span>
+     <input type="text" name="inser3" value="{$AICONTENT3}" size="80" maxlength="250">
+    </li>
+    <li id="addinfouser_4">
+     <span class="property">{'addinfousers_info4'|@translate}&nbsp;:&nbsp;</span>
+     <input type="text" name="inser4" value="{$AICONTENT4}" size="80" maxlength="250">
+    </li>
+    <li id="addinfouser_5">
+     <span class="property">{'addinfousers_info5'|@translate}&nbsp;:&nbsp;</span>
+     <input type="text" name="inser5" value="{$AICONTENT5}" size="80" maxlength="250">
+    </li>
+    <li id="addinfouser_6">
+     <span class="property">{'addinfousers_info6'|@translate}&nbsp;:&nbsp;</span>
+     <input type="text" name="inser6" value="{$AICONTENT6}" size="80" maxlength="250">
+    </li>
+    <li id="addinfouser_7">
+     <span class="property">{'addinfousers_info7'|@translate}&nbsp;:&nbsp;</span>
+     <input type="text" name="inser7" value="{$AICONTENT7}" size="80" maxlength="250">
+    </li>
+  </ul>
+</fieldset>