Index: /extensions/Add_tags_Mass/language/cs_CZ/description.txt
===================================================================
--- /extensions/Add_tags_Mass/language/cs_CZ/description.txt	(revision 27292)
+++ /extensions/Add_tags_Mass/language/cs_CZ/description.txt	(revision 27292)
@@ -0,0 +1,1 @@
+Umožní vložit tagy hromadně skrze formulář
Index: /extensions/Add_tags_Mass/language/cs_CZ/index.php
===================================================================
--- /extensions/Add_tags_Mass/language/cs_CZ/index.php	(revision 27292)
+++ /extensions/Add_tags_Mass/language/cs_CZ/index.php	(revision 27292)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/Add_tags_Mass/language/cs_CZ/plugin.lang.php
===================================================================
--- /extensions/Add_tags_Mass/language/cs_CZ/plugin.lang.php	(revision 27292)
+++ /extensions/Add_tags_Mass/language/cs_CZ/plugin.lang.php	(revision 27292)
@@ -0,0 +1,25 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Add tags Mass'] = 'Hromadné vložení štítků';
+$lang['Text model'] = 'Šablona formuláře';
+$lang['Text retour'] = 'Zpět na řádek po přidaném slovu';
+$lang['%d Add tags: %s'] = '%d Štítky přidány: %s';
+$lang['%d Not add tags: %s'] = '%d nevložené štítky: %s';
+$lang['No tags'] = 'Žádná slova nebyla zadána do formuláře';
+?>