Index: /extensions/event_cats/language/sk_SK/index.php
===================================================================
--- /extensions/event_cats/language/sk_SK/index.php	(revision 27309)
+++ /extensions/event_cats/language/sk_SK/index.php	(revision 27309)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/event_cats/language/sk_SK/plugin.lang.php
===================================================================
--- /extensions/event_cats/language/sk_SK/plugin.lang.php	(revision 27309)
+++ /extensions/event_cats/language/sk_SK/plugin.lang.php	(revision 27309)
@@ -0,0 +1,62 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Entry'] = 'Záznam';
+$lang['Existing code'] = 'Existujúci kód:';
+$lang['Existing user'] = 'Existujúci užívateľ:';
+$lang['Force display ttip'] = 'Vynútiť pre tento kód zobrazenie tejto stránky';
+$lang['Forced'] = 'Vynútený';
+$lang['Full auto'] = 'Plná automatika (zvoľte najprv stránku pre zobrazenie)';
+$lang['Generate username'] = 'Vytvoriť užívateľské meno (zvoľte najprv stránku pre zobrazenie)';
+$lang['Grant to groups btn'] = 'Povoliť skupiny pre zvolené skupiny';
+$lang['Grant to types btn'] = 'Povoliť duplikovanie pre zvolené typy';
+$lang['Grant to users btn'] = 'Povoliť duplikovanie pre zvolených užívateľov';
+$lang['Help banner'] = 'Pomocný banner';
+$lang['Comments display'] = 'Zobraziť komentáre';
+$lang['Configuration'] = 'Nastavenie';
+$lang['Confirm password'] = 'Potvrdiť heslo:';
+$lang['Copy URL ttip'] = 'Skopírujte tento odkaz, aby ste ho poslali';
+$lang['Delete'] = 'Zmazať';
+$lang['Delete entry ttip'] = 'Zmazať záznam';
+$lang['Displayed page'] = 'Zobrazená stránka';
+$lang['Duplication'] = 'Duplikát';
+$lang['Duplication allowance'] = 'Povoliť duplikáty';
+$lang['Duplication allowed'] = 'Duplikáty povolené';
+$lang['Duplication denied'] = 'Duplikáty zakázané';
+$lang['Access denied'] = 'Prístup zamietnutý';
+$lang['Additional Page'] = 'Dodatočná stránka';
+$lang['Additional Pages active'] = 'Zásuvný modul Dodatočné stránky: aktivovaný';
+$lang['Admin page title'] = 'Kategórie udalostí';
+$lang['All accounts'] = 'Všetky účty';
+$lang['All but generics'] = 'Všetky účty okrem všeobecných';
+$lang['As tooltip'] = 'Ako nápoveda';
+$lang['Auto code button'] = 'Vytvoriť kód';
+$lang['Auto code end'] = 'číslice';
+$lang['Auto code max'] = '(max)';
+$lang['Auto code min'] = '(min)';
+$lang['Autolog entries'] = '"Autolog" záznamy';
+$lang['Banner off'] = 'Deaktivovaný';
+$lang['Banner on'] = 'Aktivovaný';
+$lang['Category'] = 'Album';
+$lang['Code'] = 'Kód';
+$lang['Comment'] = 'Komentár';
+?>