Index: extensions/Subscribe_to_comments/language/uk_UA/plugin.lang.php
===================================================================
--- extensions/Subscribe_to_comments/language/uk_UA/plugin.lang.php	(revision 26141)
+++ extensions/Subscribe_to_comments/language/uk_UA/plugin.lang.php	(revision 27367)
@@ -26,5 +26,4 @@
 $lang['Return to item page'] = 'Повернутися на сторінку елемента';
 $lang['Subscribe'] = 'Підписатися';
-$lang['Subscriptions of'] = 'Підписка на';
 $lang['Successfully unsubscribed your email address from receiving notifications.'] = 'Ви успішно відписалися від отримання сповіщень.';
 $lang['Unsubscribe'] = 'Відписатися від підписки';
@@ -32,5 +31,4 @@
 $lang['You are not subscribed to any comment.'] = 'Ви не підписані на жоден коментар.';
 $lang['Your subscription has been validated, thanks you.'] = 'Ваша підписка була підтверджена, спасибі вам.';
-$lang['%s has subscribed to comments on'] = '%s підписався на коментарі';
 $lang['Allow users to subscribe to global notifications'] = 'Дозвольте користувачам підписатися на глобальні повідомлення';
 $lang['Already validated.'] = 'Вже перевірені.';
@@ -40,17 +38,12 @@
 $lang['Followed on'] = 'Підписаний на';
 $lang['Manage my subscriptions'] = 'Управляйте власними підписками';
-$lang['New comment on'] = 'Новий коментар до';
-$lang['New subscription on'] = 'Нові підписки на';
 $lang['Not found.'] = 'Не знайдено.';
 $lang['Notify administrators when a user take a new subscription'] = 'Повідомте адміністратора, якщо користувач приймає нову підписку';
 $lang['Subject'] = 'Тема';
-$lang['Subscribe to comments on'] = 'Підписатися на коментарі до';
 $lang['Subscribe to mail notifications'] = 'Підписатися на поштові повідомлення';
 $lang['To activate, click the confirm button. If you believe this is an error, please just ignore this message.'] = 'Для активації, натисніть кнопку підтвердження. Якщо ви вважаєте, що це помилка, будь ласка, просто ігноруйте це повідомлення.';
 $lang['Validate'] = 'Перевірити';
 $lang['Want to edit your notifications options?'] = 'Хочете редагувати свої параметри сповіщень?';
-$lang['You are currently subscribed to comments on'] = 'Ви підписані на коментарі до';
 $lang['You have been added to the list of subscribers.'] = 'Ви були додані в список підписників.';
-$lang['You requested to subscribe by email to comments on'] = 'Ви запросили підписку на коментарі по електронній пошті';
 $lang['all albums of the gallery'] = 'всі альбоми в галереї';
 $lang['all pictures of the album <a href="%s">%s</a>'] = 'всі зображення з цього альбому <a href="%s">%s</a>';
@@ -68,5 +61,4 @@
 $lang['New subscription on %s'] = 'Нова підписка на %s';
 $lang['Stop receiving notifications'] = 'Припинити отримання оповіщень';
-$lang['Subscribe to comments on %s'] = 'Підписатися на коментарі на %s';
 $lang['Subscriptions of %s'] = 'Підписки %s';
 $lang['You are currently subscribed to comments on %s.'] = 'Зараз Ви підписані на коментарі на %s';
@@ -78,3 +70,7 @@
 $lang['Last subscription'] = 'Остання підписка';
 $lang['No result'] = 'Немає результату';
+$lang['<b>%s</b> wrote on <i>%s</i>'] = '<b>%s</b> написав на <i>%s</i>';
+$lang['Apply action'] = 'Застосувати дію';
+$lang['Choose an action'] = 'Виберіть дію';
+$lang['Subscribe without commenting'] = 'Підписка без коментарів';
 ?>